'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _light = require('react-syntax-highlighter/dist/light');

var _light2 = _interopRequireDefault(_light);

var _tomorrow = require('react-syntax-highlighter/dist/styles/tomorrow');

var _tomorrow2 = _interopRequireDefault(_tomorrow);

var _tomorrowNight = require('react-syntax-highlighter/dist/styles/tomorrow-night');

var _tomorrowNight2 = _interopRequireDefault(_tomorrowNight);

var _cpp = require('highlight.js/lib/languages/cpp');

var _cpp2 = _interopRequireDefault(_cpp);

var _cs = require('highlight.js/lib/languages/cs');

var _cs2 = _interopRequireDefault(_cs);

var _css = require('highlight.js/lib/languages/css');

var _css2 = _interopRequireDefault(_css);

var _fsharp = require('highlight.js/lib/languages/fsharp');

var _fsharp2 = _interopRequireDefault(_fsharp);

var _go = require('highlight.js/lib/languages/go');

var _go2 = _interopRequireDefault(_go);

var _haskell = require('highlight.js/lib/languages/haskell');

var _haskell2 = _interopRequireDefault(_haskell);

var _java = require('highlight.js/lib/languages/java');

var _java2 = _interopRequireDefault(_java);

var _javascript = require('highlight.js/lib/languages/javascript');

var _javascript2 = _interopRequireDefault(_javascript);

var _julia = require('highlight.js/lib/languages/julia');

var _julia2 = _interopRequireDefault(_julia);

var _xml = require('highlight.js/lib/languages/xml');

var _xml2 = _interopRequireDefault(_xml);

var _matlab = require('highlight.js/lib/languages/matlab');

var _matlab2 = _interopRequireDefault(_matlab);

var _php = require('highlight.js/lib/languages/php');

var _php2 = _interopRequireDefault(_php);

var _python = require('highlight.js/lib/languages/python');

var _python2 = _interopRequireDefault(_python);

var _r = require('highlight.js/lib/languages/r');

var _r2 = _interopRequireDefault(_r);

var _ruby = require('highlight.js/lib/languages/ruby');

var _ruby2 = _interopRequireDefault(_ruby);

var _scala = require('highlight.js/lib/languages/scala');

var _scala2 = _interopRequireDefault(_scala);

var _sql = require('highlight.js/lib/languages/sql');

var _sql2 = _interopRequireDefault(_sql);

var _yaml = require('highlight.js/lib/languages/yaml');

var _yaml2 = _interopRequireDefault(_yaml);

var _core = require('lowlight/lib/core');

var _core2 = _interopRequireDefault(_core);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

_core2.default.registerLanguage('cpp', _cpp2.default);
_core2.default.registerLanguage('cs', _cs2.default);
_core2.default.registerLanguage('css', _css2.default);
_core2.default.registerLanguage('fsharp', _fsharp2.default);
_core2.default.registerLanguage('go', _go2.default);
_core2.default.registerLanguage('haskell', _haskell2.default);
_core2.default.registerLanguage('java', _java2.default);
_core2.default.registerLanguage('javascript', _javascript2.default);
_core2.default.registerLanguage('julia', _julia2.default);
_core2.default.registerLanguage('xml', _xml2.default);
_core2.default.registerLanguage('matlab', _matlab2.default);
_core2.default.registerLanguage('php', _php2.default);
_core2.default.registerLanguage('python', _python2.default);
_core2.default.registerLanguage('r', _r2.default);
_core2.default.registerLanguage('ruby', _ruby2.default);
_core2.default.registerLanguage('scala', _scala2.default);
_core2.default.registerLanguage('sql', _sql2.default);
_core2.default.registerLanguage('yaml', _yaml2.default);

var styles = {
  tomorrow: _tomorrow2.default,
  tomorrowNight: _tomorrowNight2.default
};

var Syntax = function (_Component) {
  _inherits(Syntax, _Component);

  function Syntax() {
    _classCallCheck(this, Syntax);

    return _possibleConstructorReturn(this, (Syntax.__proto__ || Object.getPrototypeOf(Syntax)).apply(this, arguments));
  }

  _createClass(Syntax, [{
    key: 'shouldComponentUpdate',
    value: function shouldComponentUpdate(nextProps) {
      var _props = this.props,
          language = _props.language,
          theme = _props.theme,
          style = _props.style,
          source = _props.source;

      return nextProps.language !== language || nextProps.theme !== theme || nextProps.source !== source || JSON.stringify(nextProps.style) !== JSON.stringify(style);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props2 = this.props,
          language = _props2.language,
          theme = _props2.theme,
          style = _props2.style,
          source = _props2.source;

      return _react2.default.createElement(
        _light2.default,
        {
          language: language,
          style: styles[theme],
          customStyle: style,
          codeTagProps: { style: { fontFamily: 'inherit' } }
        },
        source
      );
    }
  }]);

  return Syntax;
}(_react.Component);

Syntax.propTypes = {
  language: _react.PropTypes.string,
  theme: _react.PropTypes.string,
  source: _react.PropTypes.string,
  style: _react.PropTypes.object
};

exports.default = Syntax;