'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash.clonedeep');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (presentation) {
  var cloned = (0, _lodash2.default)(presentation);
  if (!cloned.version) {
    cloned.slides.forEach(function (slide) {
      slide.children.forEach(function (childObj) {
        // move width/height to inline styles
        childObj.props.style.width = childObj.props.style.width || childObj.props.width;
        delete childObj.props.width;
        childObj.props.style.height = childObj.props.style.height || childObj.props.height;
        delete childObj.props.height;

        // add newline to end of all lines
        if (childObj.type === 'Text') {
          childObj.children = childObj.children.map(function (line) {
            return line + '\n';
          });
        }
      });
    });
  }
  return cloned;
}; /* eslint-disable no-param-reassign */